# Set embed password
`PUT https://octopus.livepush.io/streams/{stream_id}/embed/password`
Password-protects the embed. Send an empty string to remove the password.

Requires a token with write access to the stream (`CanWriteStreams`).
- **Tag:** Stream Embed
- **Operation ID:** `putStreamEmbedPassword`
- **Authentication:** Bearer token required
- **Docs:** https://developers.livepush.io/stream-embed/set-embed-password/

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `stream_id` | string | yes | Unique identifier of the stream. |


### Request body

`application/json` (required)

- `password` (string) **required**


```json
{
  "password": "s3cret"
}
```


### Example request

```bash
curl -X PUT 'https://octopus.livepush.io/streams/st_xxxxxxxxxxxxx/embed/password' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "password": "s3cret"
  }'
```


### Responses


#### 200 — Setting applied.

- `success` (boolean)


```json
{
  "success": true
}
```


#### 400 — Response


#### 401 — Response

